// Do not remove the include below
// #include <HardwareSerial.h>

#include "MeterBusPowerMaster.h"

#include "cmd.h"
#include "test.h"
#include "uptime.h"
#include "meterBusMaster.h"
#include "overCurrentProt.h"


#define POWER_LED 4

static CmdServer cmdServer(&Serial);
static TestCmd testCmd;
static Uptime uptime;
static MeterBusMaster meterBusMaster;
static OverCurrentProt overCurrentProt;



void setup() {
  pinMode(POWER_LED, OUTPUT);
  digitalWrite(POWER_LED, LOW);
  cmdServer.begin();
  testCmd.registerYourself(&cmdServer);
  overCurrentProt.begin(&cmdServer);
  uptime.begin(&cmdServer);
  meterBusMaster.begin(&cmdServer);
  digitalWrite(POWER_LED, HIGH);
}

void loop() {
  cmdServer.exec();
  overCurrentProt.exec();
  uptime.exec();
  meterBusMaster.exec();
}
